package com.dbs.mplus.fatima.consent.webservice.model;

import org.ksoap2.serialization.SoapObject;

public class SaveTempData
{
    private static final String METHOD_NAME = "SaveTempData";
    private static final String NAMESPACE = "http://tempuri.org/";

     public String userId;
     public String patientCode;
     public String clnDeptCode;
     public int formRid;
     public String formCd;
     public int consentMstRid;
     public int rewriteConsentMstRid;
     public String formXml;
     public String dataXml;
     public String deviceType;
     public String deviceIdentNo;
     public String vistType;
     public String hosType;
     public String clnDate;
     public String ward;
     public String roomcd;
     public int orderNo;
     public String orderName;
     public String orderCd;
     public String ocrCode;
     public int cretno;
     public String createUserName;
     public String modifyUserName;
     public String mainDrId;


	public SoapObject GetSoapParams()
	{
         SoapObject request = new SoapObject(NAMESPACE, METHOD_NAME);
     request.addProperty("userId", userId);
     request.addProperty("patientCode", patientCode);
     request.addProperty("clnDeptCode", clnDeptCode);
     request.addProperty("formRid", formRid);
     request.addProperty("formCd", formCd);
     request.addProperty("consentMstRid", consentMstRid);
     request.addProperty("rewriteConsentMstRid", rewriteConsentMstRid);
     request.addProperty("formXml", formXml);
     request.addProperty("dataXml", dataXml);
     request.addProperty("deviceType", deviceType);
     request.addProperty("deviceIdentNo", deviceIdentNo);
     request.addProperty("vistType", vistType);
     request.addProperty("hosType", hosType);
     request.addProperty("clnDate", clnDate);
     request.addProperty("ward", ward);
     request.addProperty("roomcd", roomcd);
     request.addProperty("orderNo", orderNo);
     request.addProperty("orderName", orderName);
     request.addProperty("orderCd", orderCd);
     request.addProperty("ocrCode", ocrCode);
     request.addProperty("cretno", cretno);
     request.addProperty("createUserName", createUserName);
     request.addProperty("modifyUserName", modifyUserName);
     request.addProperty("mainDrId", mainDrId);


         return request;
	}

	public String GetSoapAction()
	{
		return NAMESPACE + METHOD_NAME;
	}

}
